## golang-github-sahilm-fuzzy 0.0.3+git20171025.a154b19

=== debian/changelog ===
golang-github-sahilm-fuzzy (0.0.3+git20171025.a154b19-1) unstable; urgency=medium

  * Initial release (Closes: #893963)

 -- Michael Meskes <meskes@debian.org>  Tue, 20 Mar 2018 20:07:43 +0100

## golang-github-sahilm-fuzzy 0.1.0

=== Makefile ===
.PHONY: all
all: setup lint test

.PHONY: test
test: setup
	go test -bench ./...

.PHONY: cover
cover: setup
	mkdir -p coverage
	gocov test ./... | gocov-html > coverage/coverage.html

sources = $(shell find . -name '*.go' -not -path './vendor/*')
.PHONY: goimports
goimports: setup
	goimports -w $(sources)

.PHONY: lint
lint: setup
	gometalinter ./... --enable=goimports --disable=gocyclo --vendor -t

.PHONY: install
install: setup
	go install

BIN_DIR := $(GOPATH)/bin
GOIMPORTS := $(BIN_DIR)/goimports
GOMETALINTER := $(BIN_DIR)/gometalinter
DEP := $(BIN_DIR)/dep
GOCOV := $(BIN_DIR)/gocov
GOCOV_HTML := $(BIN_DIR)/gocov-html

$(GOIMPORTS):
	go get -u golang.org/x/tools/cmd/goimports

$(GOMETALINTER):
	go get -u github.com/alecthomas/gometalinter
	gometalinter --install &> /dev/null

$(GOCOV):
	go get -u github.com/axw/gocov/gocov

$(GOCOV_HTML):
	go get -u gopkg.in/matm/v1/gocov-html

$(DEP):
	go get -u github.com/golang/dep/cmd/dep

tools: $(GOIMPORTS) $(GOMETALINTER) $(GOCOV) $(GOCOV_HTML) $(DEP)

vendor: $(DEP)
	dep ensure

setup: tools vendor

updatedeps:
	dep ensure -update

=== debian/changelog ===
golang-github-sahilm-fuzzy (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0

 -- Michael Meskes <meskes@debian.org>  Tue, 20 Nov 2018 15:39:23 +0100

=== debian/control ===
Source: golang-github-sahilm-fuzzy
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-kylelemons-godebug-dev
Standards-Version: 4.1.3
Homepage: https://github.com/sahilm/fuzzy
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sahilm-fuzzy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sahilm-fuzzy.git
XS-Go-Import-Path: github.com/sahilm/fuzzy
Testsuite: autopkgtest-pkg-go

Package: golang-github-sahilm-fuzzy-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-kylelemons-godebug-dev
Description: Go library for fuzzy string matching
 Go library that provides fuzzy string matching optimized for filenames
 and code symbols in the style of Sublime Text, VSCode, IntelliJ IDEA et
 al. This library is external dependency-free. It only depends on the Go
 standard library.  Demo Here is a demo (_example/main.go) of matching
 various patterns against ~16K files from the Unreal Engine 4 codebase.

## golang-github-sahilm-fuzzy 0.1.1

=== debian/changelog ===
golang-github-sahilm-fuzzy (0.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
  Repository-Browse.
  * Add Multi-Arch: foreign.

  [ Arthur Diniz ]
  * New upstream version 0.1.1.
  * d/gbp.conf:
    - Set debian-branch to debian/sid.
    - Set dist to DEP14.
  * d/control:
    - Add Arthur Diniz to Uploaders.
    - Add Rules-Requires-Root set to no.
    - Bump debhelper-compat from 12 to 13.
    - Bump Standards-Version to 4.6.2 (no changes).
    - Change Section from devel to golang.
  * d/copyright: Add Arthur Diniz to debian/* Copyright section.
  * d/copyright: Remove Files-Excluded list.
  * d/lintian-overrides: Override documentation outside usr/share/doc.
  * d/watch: Update version and filenamemangle regex.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sun, 10 Mar 2024 22:09:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: golang-github-sahilm-fuzzy
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Michael Meskes <meskes@debian.org>, Arthur Diniz <arthurbdiniz@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-kylelemons-godebug-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/sahilm/fuzzy
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sahilm-fuzzy
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sahilm-fuzzy.git
@@ -19,6 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-kylelemons-godebug-dev
+Multi-Arch: foreign
 Description: Go library for fuzzy string matching
  Go library that provides fuzzy string matching optimized for filenames
  and code symbols in the style of Sublime Text, VSCode, IntelliJ IDEA et

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sahilm/fuzzy/tags .*/v?(\d\S*)\.tar\.gz debian
